<?php

declare(strict_types=1);

namespace Dedi\SyliusEcotaxPlugin\Entity;

use Sylius\Component\Resource\Model\AbstractTranslation;

class EcotaxTypeTranslation extends AbstractTranslation implements EcotaxTypeTranslationInterface
{
    private ?int $id = null;

    private ?string $label = null;

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getLabel(): ?string
    {
        return $this->label;
    }

    public function setLabel(?string $label): static
    {
        $this->label = $label;

        return $this;
    }
}
