<?php

declare(strict_types=1);

namespace Dedi\SyliusEcotaxPlugin\Form\Type;

use Sylius\Bundle\ResourceBundle\Form\Type\AbstractResourceType;
use Symfony\Component\Form\Extension\Core\Type\TextType;
use Symfony\Component\Form\FormBuilderInterface;

class EcotaxTypeTranslationType extends AbstractResourceType
{
    public function buildForm(FormBuilderInterface $builder, array $options): void
    {
        $builder
            ->add('label', TextType::class, [
                'label' => 'sylius.ui.label',
                'required' => true,
            ]);
    }

    public function getBlockPrefix(): string
    {
        return 'ecotax_type_translation';
    }
}
