<?php

declare(strict_types=1);

namespace Dedi\SyliusEcotaxPlugin\Helper;

use Dedi\SyliusEcotaxPlugin\Entity\EcotaxInterface;
use Sylius\Component\Core\Model\ProductVariantInterface;

interface EcotaxPriceHelperInterface
{
    public function getVariantEcotax(ProductVariantInterface $productVariant, array $context): int;

    public function getEcotax(EcotaxInterface $ecotax, array $context): int;
}
