<?php

declare(strict_types=1);

namespace Dedi\SyliusEcotaxPlugin\Model;

interface EcotaxAdjustmentsAwareInterface
{
    public const ADJUSTMENT_TYPE_ECOTAX = 'ecotax';

    public function getEcotaxTotal(): int;

    public function getEcotaxesTotals(): array;

    public function getAdjustmentsTotalRecursivelyWithoutNeutrality(?string $type = null): int;
}
